{% extends 'base.html' %}

{% block title %}
    Projects List
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            {% if projects %}
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Budget</th>
                            <th>Number of tasks</th>
                            <th>In progress</th>
                            <th>Complete</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for project in projects %}
                            <tr>
                                <td>
                                    <a href="{% url 'show_project' project.id %}" class="text-decoration-none text-reset">{{ project.name }}</a>
                                </td>
                                <td>
                                    <a href="{% url 'show_project' project.id %} class=" class="text-decoration-none text-reset">${{ project.budget }}</a>
                                </td>
                                <td>
                                    <a href="{% url 'show_my_tasks' %}" class="text-decoration-none text-reset">{{ project.tasks.all|length }}</a>
                                </td>
                                <td>
                                    <a>2</a>
                                </td>
                                <td>
                                    <a>3</a>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>You are not assigned to any projects</p>
            {% endif %}
            <a href="{% url 'create_project' %}" class="btn btn-primary fw-bold fs-5 text-white w-50">Create a new project</a>
        </div>
    </main>
{% endblock content %}
